org.apache.sysds.runtime.compress.utils

## Class IntArrayList

- java.lang.Object
- - org.apache.sysds.runtime.compress.utils.IntArrayList

-     public class IntArrayList
      extends Object

  This class provides a memory-efficient replacement for `ArrayList<Integer>` for restricted use cases.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntArrayList()`
    `IntArrayList(int value)`
    `IntArrayList(int[] values)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendValue(int value)`
    `int[]` | `extractValues()` Returns the underlying array of offsets.
    `int[]` | `extractValues(boolean trim)`
    `int` | `get(int index)`
    `int` | `size()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IntArrayList

          public IntArrayList()

    - #### IntArrayList

          public IntArrayList(int value)

    - #### IntArrayList

          public IntArrayList(int[] values)

  - ### Method Detail

    - #### size

          public int size()

    - #### appendValue

          public void appendValue(int value)

    - #### extractValues

          public int[] extractValues()

      Returns the underlying array of offsets. Note that this array might be physically larger than the actual length of the offset lists. Use size() to obtain the actual length.
      Returns:
        integer array of offsets, the physical array length may be larger than the length of the offset list

    - #### get

          public int get(int index)

    - #### extractValues

          public int[] extractValues(boolean trim)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.